using System;
using System.Windows;
using Microsoft.Phone.Controls;

namespace FramePageNavigation
{
    public partial class ThirdPage : PhoneApplicationPage
    {
        public ThirdPage()
        {
            InitializeComponent();
        }
      
        private void PhoneApplicationPage_Loaded(object sender, RoutedEventArgs e)
        {
                // Ausgabe des Übergabeparameters
                tbx_Parameter.Text = NavigationContext.QueryString["value"];               
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {                       
           NavigationService.Navigate(new Uri("/FourthPage.xaml?value1=Windows&value2=Phone", UriKind.Relative));
        }
    }
}